Package ru.bitel.bgbilling.modules.tv.server.runtime

# Class TvDeviceRuntime

java.lang.Object
ru.bitel.bgbilling.modules.tv.server.runtime.TvDeviceRuntime

All Implemented Interfaces:
  `Child<TvDeviceRuntime>`

public class TvDeviceRuntime extends Object implements Child<TvDeviceRuntime>
Отражение (т.е. уже не простой bean) TvDevice с которым мы будем работать.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final ParameterMap`
  `config`
  `final Set<Integer>`
  `descendantIds`
  Коды всех потомков этого устройства
  `ru.bitel.oss.systems.inventory.resource.common.dm.DeviceManager`
  `deviceManager`
  Класс управления устройством.
  `ru.bitel.bgbilling.kernel.container.managed.ManagedBeanInfo<Object>`
  `deviceManagerInfo`
  `final TvDeviceRuntime`
  `parent`
  Родительское устройство
  `OrderManagerSet`
  `saInstances`
  Скрипты, в порядке от rootDevice до данного устройства.
  `final TvDevice`
  `tvDevice`
  `final Integer`
  `tvDeviceId`
  `final TvDeviceType`
  `tvDeviceType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TvDeviceRuntime`
  `getParent()`
  `TvDeviceRuntime`
  `getParent(Set<Integer> accountingRootDeviceIds)`
  `void`
  `saInstancesDestroy()`
  Освобождение ресурсов saInstances - у всех объектов ServiceActivator вызывается destroy

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tvDeviceId

    public final Integer tvDeviceId

  - ### tvDevice

    public final TvDevice tvDevice

  - ### tvDeviceType

    public final TvDeviceType tvDeviceType

  - ### config

    public final ParameterMap config

  - ### saInstances

    public OrderManagerSet saInstances
    Скрипты, в порядке от rootDevice до данного устройства.

  - ### deviceManager

    public ru.bitel.oss.systems.inventory.resource.common.dm.DeviceManager deviceManager
    Класс управления устройством.

  - ### deviceManagerInfo

    public ru.bitel.bgbilling.kernel.container.managed.ManagedBeanInfo<Object> deviceManagerInfo

  - ### parent

    public final TvDeviceRuntime parent
    Родительское устройство

  - ### descendantIds

    public final Set<Integer> descendantIds
    Коды всех потомков этого устройства

- ## Method Details

  - ### getParent

    public TvDeviceRuntime getParent()
    Specified by:
      `getParent` in interface `Child<TvDeviceRuntime>`

  - ### saInstancesDestroy

    public void saInstancesDestroy()
    Освобождение ресурсов saInstances - у всех объектов ServiceActivator вызывается destroy

  - ### getParent

    public TvDeviceRuntime getParent(Set<Integer> accountingRootDeviceIds)